🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Karma Destiny Report

The API provides a brief report on a past-life connection with a person. The response contains one of the four possible interpretations of the relationship, which could help individuals understand their bond with the other person better. The interpretations range from learning from each other's unique perspectives to having a strong past-life connection that may not necessarily result in a romantic relationship.
POSThttps://json.astrologyapi.com/v1/karma_destiny_report/tropical

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

p_dayintrequired

Day of birth, eg: 10

p_monthintrequired

Month of birth, eg: 5

p_yearintrequired

Year of birth, eg: 1990

p_hourintrequired

Hour of birth, eg: 11

p_minintrequired

Minute of birth, eg: 55

p_latfloatrequired

Latitude, eg: 19.2056

p_lonfloatrequired

Longitude, eg: 25.2056

p_tzonefloatrequired

Timezone, eg: 5.5

s_dayintrequired

Day of birth, eg: 10

s_monthintrequired

Month of birth, eg: 5

s_yearintrequired

Year of birth, eg: 1990

s_hourintrequired

Hour of birth, eg: 11

s_minintrequired

Minute of birth, eg: 55

s_latfloatrequired

Latitude, eg: 19.2056

s_lonfloatrequired

Longitude, eg: 25.2056

s_tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/karma_destiny_report/tropical' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "p_day": 10,
    "p_month": 5,
    "p_year": 1990,
    "p_hour": 11,
    "p_min": 55,
    "p_lat": 19.2056,
    "p_lon": 25.2056,
    "p_tzone": 5.5,
    "s_day": 10,
    "s_month": 5,
    "s_year": 1990,
    "s_hour": 11,
    "s_min": 55,
    "s_lat": 19.2056,
    "s_lon": 25.2056,
    "s_tzone": 5.5
}'
Try it

Runs with sample data — no API key needed

{
  "karma_destiny_report": [
    "But trying to impose your own sense of logic onto someone else is not only futile, it's shortsighted. Just because you can't understand their sense of logic doesn't mean they don't have one; it's simply so different from yours that you'll have a hard time getting it. Your partner is actually quite a creative person, as you'll find if you can greet their ideas with respect rather than anxiety. Rather than trying to control the ways in which they perceive the world and interact with it, you should try to learn something from this unique perspective of theirs. If you do try to exert logic and control over them, you'll just find that they slip through your grasp anyway; but if you simply do the work of being yourself and allow them to be the person that they are as well, you'll find that you're both able to blend your styles and learn from each other. The best that can come from this connection will be an increased sense of creativity on your side, and a greater understanding of practical matters on your partner's.",
    "You tried to rely on this person in another lifetime, and they let you down in a big way. Whether they were your lover, your parent or your fellow warrior, when you needed them most, they weren't there for you, and that experience left a scar on your soul. In this life, your subconscious mind remembers that experience, and it will do anything to prevent the same thing from happening again.",
    "Especially if you've conducted your life in a somewhat haphazard way, this relationship could help you to focus on your path and become more settled within yourself. Your contribution to the relationship will be one of energy and spirit, which will help your partner stay lighthearted instead of getting bogged down in the minutiae of everyday life. Good communication between you will help you both to keep moving forward and stay on track in your lives, moving steadily toward your goals. This aspect will also help in terms of building an enduring relationship that is lastingly beneficial for both of you. With a bond like this one, in fact, you could just as easily go into business together as keep this a purely romantic relationship, because it helps you work harder and more efficiently, as a team, and stay focused on the task at hand.",
    "While your bond with this person will be strengthened by a powerful and enduring past-life connection that you share, it won't make for a fun, romantic affair. There's a good chance that if you become romantically involved, it will last long-term; after all, you're coming from a relationship in another lifetime that persevered through hard times as well as good ones, and has extended to the present life. A sense of mutual responsibility will pervade your connection now, as a result of this past-life relationship, and you'll both sense this from the start."
  ]
}